/***************************************************************************
 *   Copyright (C) 2003 by Moris Ravasio                                   *
 *   moris_ravasio@hotmail.com                                             *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#ifndef KINK_H
#define KINK_H

#include "KinkDlg.h"

extern "C" {
  #include "inklevel.h"
}

#include <qcombobox.h>
#include <qgroupbox.h>
#include <qprogressbar.h>
#include <qlabel.h>
#include <qpushbutton.h>
#include <kaboutapplication.h>
#include <klocale.h>

#define USB_LAST_PORT     4
#define PARPORT_LAST_PORT 4

typedef struct _device_info {
  int device_type;
	int device_port;
} DEVICE_INFO;

class KInk : public frmKink
{
  Q_OBJECT

public:
  KInk(QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
  ~KInk();
    void auto_detect(void);
  /*$PUBLIC_FUNCTIONS$*/

public slots:
  /*$PUBLIC_SLOTS$*/
  virtual void          cmbDevices_activated( const QString & );
  virtual void          btnAdd_clicked();
  virtual void          btnDetect_clicked();
  virtual void          btnAbout_clicked();
  virtual void          btnUpdate_clicked();
  virtual void          btnClose_clicked();

protected:
  /*$PROTECTED_FUNCTIONS$*/

protected slots:
  /*$PROTECTED_SLOTS$*/

public:
    int last_port;
    int last_type;

protected:
    int listed_count;
    DEVICE_INFO listed_devices[PARPORT_LAST_PORT + USB_LAST_PORT];

private:
    void add_device_to_list(int type, int port, unsigned char *model);
    void show_error(QString errStr);
    void update_view(void);
};

#endif

