/*
 * Copyright (C) 2003 Moris Ravasio <moris_ravasio@hotmail.com>
 */

#include "kink.h"
#include <kapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <klocale.h>
#include <kconfig.h>

static const char description[] =
    I18N_NOOP("A KDE Printer Ink Level Monitor Utility");

static const char version[] = "0.2.1";

int main(int argc, char **argv)
{
    KAboutData about("kink", I18N_NOOP("kink"), version, description,
                     KAboutData::License_GPL, "(C) 2003 Moris Ravasio", 0, "http://kink.sourceforge.net", "moris_ravasio@hotmail.com");
    about.addAuthor("Moris Ravasio", 0, "moris_ravasio@hotmail.com");
		about.addCredit("Johnathan Burchill (jkerrb)",I18N_NOOP("Improved UI layout"),0,0);
    KCmdLineArgs::init(argc, argv, &about);
    KApplication app;

		int appCallBack;

		KInk *mainWin = new KInk();

    app.setMainWidget( mainWin );

		QRect desk;
		desk = QApplication::desktop()->geometry();
		mainWin->move(desk.center() - mainWin->rect().center());

		KConfig *conf = kapp->config();

		conf->setGroup("General");
		mainWin->last_type = conf->readNumEntry("LastDeviceType",-1);
		mainWin->last_port = conf->readNumEntry("LastDevicePort",-1);

    mainWin->auto_detect();
		mainWin->show();

    // mainWin has WDestructiveClose flag by default, so it will delete itself.
    appCallBack = app.exec();

		conf->setGroup("General");
		conf->writeEntry("LastDeviceType",mainWin->last_type);
		conf->writeEntry("LastDevicePort",mainWin->last_port);
		conf->sync();

		return(appCallBack);
}

